@ECHO Off

REM Bitte hier einstellen, in welchem Verzeichnis sich
REM die Postgres-Tools dropdb.exe, createdb.exe und
REM pgrestore.exe befinden. (ohne \ am Ende)
SET pgpfad="C:\Program Files\PostgreSQL\9.2\bin\

CLS
ECHO Wiederherstellen einer ASV-Datenmbank
ECHO =====================================
ECHO.

IF EXIST %1 GOTO RESTORE
ECHO Keine Datei!!!
GOTO KEINEDATEI

:RESTORE

CLS
ECHO Wiederherstellen einer ASV-Datenmbank
ECHO =====================================
ECHO.
ECHO 1. dropdb
ECHO    Bitte hier das Postgres-Passwort angeben (falls es verlangt wird), 
ECHO    nicht das ASV-Datenbank-Passwort!
ECHO.
"%pgpfad%\dropdb.exe" -U postgres asv

CLS
ECHO Wiederherstellen einer ASV-Datenmbank
ECHO =====================================
ECHO.
ECHO 1. dropdb ... Die bisherige Datenbank wurde geloescht.
ECHO.
ECHO 2. createdb
ECHO    Bitte geben Sie das ASV-Datenbank-Passwort an! (meist 'asv')
ECHO.
"%pgpfad%\createdb.exe" -U asv asv
IF NOT %ERRORLEVEL%==0 GOTO FEHLER2

CLS
ECHO Wiederherstellen einer ASV-Datenmbank
ECHO =====================================
ECHO.
ECHO 1. dropdb ...   Die bisherige Datenbank wurde geloescht.
ECHO.
ECHO 2. createdb ... Die neue (noch leere Datenbank) wurde angelegt.
ECHO.
ECHO 3. pg_restore (Daten einspielen)
ECHO    Der Restore-Vorgang kann ein paar Minuten dauern. Bitte Geduld!
ECHO    Wiederhergestellt wird: 
ECHO    %1
ECHO.
ECHO    Bitte nochmal das ASV-Datenbank-Passwort angeben! (meist 'asv')
ECHO.
"%pgpfad%\pg_restore.exe" -d asv -U asv -v %1

CLS
ECHO Wiederherstellen einer ASV-Datenmbank
ECHO =====================================
ECHO.
ECHO 1. dropdb ...   Die bisherige Datenbank wurde geloescht.
ECHO.
ECHO 2. createdb ... Die neue (noch leere Datenbank) wurde angelegt.
ECHO.
ECHO 3. pg_restore   Die leere Datenbank wurde mit Inhalten gefuellt.
ECHO.
ECHO.
ECHO Die Wiederherstellung der Datei 
ECHO   %1 
ECHO ist abgeschlossen.
GOTO ENDE

:KEINEDATEI
CLS
ECHO Wiederherstellen einer ASV-Datenmbank
ECHO =====================================
ECHO.
ECHO Es wurde keine .backup-Datei fuer Postgres angegeben.
ECHO Bitte 'ziehen' Sie eine solche Datei auf diese .bat-Datei!
GOTO ENDE

:FEHLER2
CLS
ECHO Wiederherstellen einer ASV-Datenmbank
ECHO =====================================
ECHO.
ECHO Fehler beim Erstellen der Datenbank. 
ECHO Moegliche Fehlerquellen:
ECHO   - Laeuft der ASV-Server noch?
ECHO   - Sie haben ein falsches ASV-Datenbankkennwort angegeben.
GOTO ENDE

:ENDE
ECHO.

PAUSE

